Bug Hunting Session
Bug 86831 - The URL to get the newest version of the Oracle JDBC driver returns "Page not found"
Summary: The URL to get the newest version of the Oracle JDBC driver returns "Page not...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.2.7.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Adolfo Jayme
URL:
Whiteboard: target:5.1.0 target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-28 18:49 UTC by Christopher Yeleighton
Modified: 2016-11-27 21:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Yeleighton 2014-11-28 18:49:48 UTC
The URL to get the newest version of the Oracle JDBC driver returns "Page not found" at <URL: http://www.oracle.com/technetwork/tech/java/sqlj_jdbc/content.html >
Comment 1 Julien Nabet 2014-11-28 21:40:51 UTC
I searched the url on the LO sources, core and helpcontent, even in 4.1 branch.

However I found these:
1)
helpcontent2/source/text/shared/explorer/database/dabawiz02oracle.xhp:43:<paragraph role="paragraph" id="par_idN105D7" xml-lang="en-US" l10n="NEW">http://otn.oracle.com/tech/java/sqlj_jdbc/content.html</paragraph>
2)
helpcontent2/source/text/shared/explorer/database/dabawiz02jdbc.xhp:45:<paragraph role="paragraph" id="par_idN1064E" xml-lang="en-US" l10n="NEW">http://otn.oracle.com/tech/java/sqlj_jdbc/content.html</paragraph>

On which Linux distribution are you? Did you upgrade your LO helppack?

Could you give the step by step process to reproduce this on LibreOffice?
Comment 2 Julien Nabet 2014-11-28 21:50:14 UTC
I also searched on translations repository in branch 4.2, I found nothing, did I miss something?
Comment 3 Christopher Yeleighton 2014-11-30 23:00:04 UTC
(In reply to Julien Nabet from comment #2)
> I also searched on translations repository in branch 4.2, I found nothing,
> did I miss something?

You may wish to note that the URL set for this bug is exactly what you found and that the URL is currently wrong.  In general, quoting third party URL in documentation is a bad idea; it is better to establish a dedicated redirector under our control.
Comment 4 Julien Nabet 2014-11-30 23:05:51 UTC
In fact both urls are wrong:
- http://www.oracle.com/technetwork/tech/java/sqlj_jdbc/content.html from initial description
- http://otn.oracle.com/tech/java/sqlj_jdbc/content.html put in URL field
I thought that the second one was the good one.

Anyway, put it at NEW
Comment 5 Alex Thurgood 2015-01-03 17:38:46 UTC Comment hidden (no-value)
Comment 6 Adolfo Jayme 2015-11-23 00:22:39 UTC
(In reply to Christopher Yeleighton from comment #3)
> You may wish to note that the URL set for this bug is exactly what you found

That is not a correct use of Bugzilla’s URL field; it would have been clearer if you put both URLs in the bug’s description.

> [...]  In general, quoting third party URL in
> documentation is a bad idea; it is better to establish a dedicated
> redirector under our control.

And who will bother to keep up with changes in external websites just to have a stable URL in our docs? That particular doc was written circa 2002; IMHO it’s better just to remove the URL from it. People can (and should) use Google instead.
Comment 7 Commit Notification 2015-11-23 00:25:34 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=7dd9f9b4144f5b3edb1acb2faaf3a9332dd590f4

tdf#86831 Kill reference to long-dead URL